Subject: Feeling confused a little bit

From: Rohit Ashiwal <[email-masked]>
Date: Fri, 1 Mar 2019 18:43:26 +0530

Hey!

I'm a little confused as you never provide a clear indication to
where shall I proceed? :-

On Fri, 01 Mar 2019 11:51:46 +0900 Junio C Hamano <[email-masked]> wrote:

>
> Simple things do not need that many letters to tell ;-)  The
> suggestion of 72 is about the maximum. 
>

Totally agree on this!

>
> I think you are talking about t3600, which uses an ancient style.
> If this were a real project, then the preferred order would be
>
>  - A preliminary patch (or a series of patches) that modernizes
>    existing tests in t3600.  Just style updates and adding or
>    removing nothing else.
>
>  - Update test that use "test -f" and friends to use the helpers in
>    t3600.
>

Yes, this is a microproject after all. But I think I can work on this as
if it were a real project, should I proceed according to this plan? (I have
a lot of free time over this weekend)

>
> If we often see if a path is an non-empty file in our tests (not
> limited to t3600), then it may make sense to add a new helper
> test_path_is_non_empty_file in t/test-lib-functions.sh next to where
> test_path_is_file and friends are defined.
>

Since my project does not deal with `test-lib-functions.sh`, I think I
should not edit it anyway, but I'd be more than happy to add a new
member to `test_path_is_*` family.

Thanks
Rohit